---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::SliderRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1SliderRenderer.html">SliderRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1SliderRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::SliderRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::SliderRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1SliderRenderer.png" usemap="#tgui::SliderRenderer_map" alt=""/>
  <map id="tgui::SliderRenderer_map" name="tgui::SliderRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,129,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="139,0,268,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a96e018410e3b29179eafd0321414ca88"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a96e018410e3b29179eafd0321414ca88">SliderRenderer</a> (<a class="el" href="classtgui_1_1Slider.html">Slider</a> *slider)</td></tr>
<tr class="memdesc:a96e018410e3b29179eafd0321414ca88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a96e018410e3b29179eafd0321414ca88">More...</a><br /></td></tr>
<tr class="separator:a96e018410e3b29179eafd0321414ca88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4e7af532366d1cb8c4310443be824d9"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#ad4e7af532366d1cb8c4310443be824d9">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:ad4e7af532366d1cb8c4310443be824d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#ad4e7af532366d1cb8c4310443be824d9">More...</a><br /></td></tr>
<tr class="separator:ad4e7af532366d1cb8c4310443be824d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a739ebd1509dce34061ecbfded4e0faad"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a739ebd1509dce34061ecbfded4e0faad">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:a739ebd1509dce34061ecbfded4e0faad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a739ebd1509dce34061ecbfded4e0faad">More...</a><br /></td></tr>
<tr class="separator:a739ebd1509dce34061ecbfded4e0faad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a478f29a018db6400dd68b18923b520f8"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a478f29a018db6400dd68b18923b520f8">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:a478f29a018db6400dd68b18923b520f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#a478f29a018db6400dd68b18923b520f8">More...</a><br /></td></tr>
<tr class="separator:a478f29a018db6400dd68b18923b520f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e7e2bdff42112cce4b689e3cd06d823"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a6e7e2bdff42112cce4b689e3cd06d823">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:a6e7e2bdff42112cce4b689e3cd06d823"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#a6e7e2bdff42112cce4b689e3cd06d823">More...</a><br /></td></tr>
<tr class="separator:a6e7e2bdff42112cce4b689e3cd06d823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a510a52aee32827f3a38a24a5d1b61099"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a510a52aee32827f3a38a24a5d1b61099">setTrackColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a510a52aee32827f3a38a24a5d1b61099"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the track.  <a href="#a510a52aee32827f3a38a24a5d1b61099">More...</a><br /></td></tr>
<tr class="separator:a510a52aee32827f3a38a24a5d1b61099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac95cbeb47a60b8f128bb7dcbc0c42622"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#ac95cbeb47a60b8f128bb7dcbc0c42622">setTrackColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ac95cbeb47a60b8f128bb7dcbc0c42622"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the track in the normal state (mouse not on slider).  <a href="#ac95cbeb47a60b8f128bb7dcbc0c42622">More...</a><br /></td></tr>
<tr class="separator:ac95cbeb47a60b8f128bb7dcbc0c42622"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0186e1c24b83cba61f8c8ff06bf4e9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#ad0186e1c24b83cba61f8c8ff06bf4e9e">setTrackColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ad0186e1c24b83cba61f8c8ff06bf4e9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the track in hover state (mouse on slider).  <a href="#ad0186e1c24b83cba61f8c8ff06bf4e9e">More...</a><br /></td></tr>
<tr class="separator:ad0186e1c24b83cba61f8c8ff06bf4e9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1625739103ec784d5cc76d1e120cb3c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#ac1625739103ec784d5cc76d1e120cb3c">setThumbColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ac1625739103ec784d5cc76d1e120cb3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the thumb.  <a href="#ac1625739103ec784d5cc76d1e120cb3c">More...</a><br /></td></tr>
<tr class="separator:ac1625739103ec784d5cc76d1e120cb3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff8ea9fba46bf466ed1d2e8d4e3e6134"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#aff8ea9fba46bf466ed1d2e8d4e3e6134">setThumbColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aff8ea9fba46bf466ed1d2e8d4e3e6134"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the thumb in the normal state (mouse not on slider).  <a href="#aff8ea9fba46bf466ed1d2e8d4e3e6134">More...</a><br /></td></tr>
<tr class="separator:aff8ea9fba46bf466ed1d2e8d4e3e6134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f6b2c318731ec8d9c0472e9cbeabef4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a4f6b2c318731ec8d9c0472e9cbeabef4">setThumbColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a4f6b2c318731ec8d9c0472e9cbeabef4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the thumb in hover state (mouse on slider).  <a href="#a4f6b2c318731ec8d9c0472e9cbeabef4">More...</a><br /></td></tr>
<tr class="separator:a4f6b2c318731ec8d9c0472e9cbeabef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0edf4e8721be889467048a8746b3dfc2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a0edf4e8721be889467048a8746b3dfc2">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a0edf4e8721be889467048a8746b3dfc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the borders.  <a href="#a0edf4e8721be889467048a8746b3dfc2">More...</a><br /></td></tr>
<tr class="separator:a0edf4e8721be889467048a8746b3dfc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a9dfb270d4eab95ca8f8b588bd67c3f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a3a9dfb270d4eab95ca8f8b588bd67c3f">setTrackTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a3a9dfb270d4eab95ca8f8b588bd67c3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the track that is displayed when the mouse is not on top of the slider.  <a href="#a3a9dfb270d4eab95ca8f8b588bd67c3f">More...</a><br /></td></tr>
<tr class="separator:a3a9dfb270d4eab95ca8f8b588bd67c3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad37640e8e723917d09b01f4a989de9c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#ad37640e8e723917d09b01f4a989de9c8">setTrackHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:ad37640e8e723917d09b01f4a989de9c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the track that is displayed when the mouse is on top of the slider.  <a href="#ad37640e8e723917d09b01f4a989de9c8">More...</a><br /></td></tr>
<tr class="separator:ad37640e8e723917d09b01f4a989de9c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af89ee601abb386983300ad3979171a6a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#af89ee601abb386983300ad3979171a6a">setThumbTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:af89ee601abb386983300ad3979171a6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the thumb that is displayed when the mouse is not on top of the slider.  <a href="#af89ee601abb386983300ad3979171a6a">More...</a><br /></td></tr>
<tr class="separator:af89ee601abb386983300ad3979171a6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2588ff893f2e181b3d2112e4847fd780"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SliderRenderer.html#a2588ff893f2e181b3d2112e4847fd780">setThumbHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a2588ff893f2e181b3d2112e4847fd780"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image of the thumb that is displayed when the mouse is on top of the slider.  <a href="#a2588ff893f2e181b3d2112e4847fd780">More...</a><br /></td></tr>
<tr class="separator:a2588ff893f2e181b3d2112e4847fd780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders)</td></tr>
<tr class="memdesc:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a75128d6d549e479c4b455afc77a75f9e">More...</a><br /></td></tr>
<tr class="separator:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a96e018410e3b29179eafd0321414ca88"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::SliderRenderer::SliderRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Slider.html">Slider</a> *&#160;</td>
          <td class="paramname"><em>slider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">slider</td><td>The slider that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a478f29a018db6400dd68b18923b520f8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::SliderRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a6e7e2bdff42112cce4b689e3cd06d823"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::SliderRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a0edf4e8721be889467048a8746b3dfc2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New border color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad4e7af532366d1cb8c4310443be824d9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::SliderRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a739ebd1509dce34061ecbfded4e0faad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::SliderRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ac1625739103ec784d5cc76d1e120cb3c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setThumbColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the thumb. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New thumb color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both the normal and hover state.</p>
<p>Note that this color is ignored when a track and thumb image have been set.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1SliderRenderer.html#ac95cbeb47a60b8f128bb7dcbc0c42622" title="Changes the color of the track in the normal state (mouse not on slider). ">setTrackColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1SliderRenderer.html#ad0186e1c24b83cba61f8c8ff06bf4e9e" title="Changes the color of the track in hover state (mouse on slider). ">setTrackColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a4f6b2c318731ec8d9c0472e9cbeabef4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setThumbColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the thumb in hover state (mouse on slider). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New thumb color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a track and thumb image have been set. </p>

</div>
</div>
<a class="anchor" id="aff8ea9fba46bf466ed1d2e8d4e3e6134"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setThumbColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the thumb in the normal state (mouse not on slider). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New thumb color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a track and thumb image have been set. </p>

</div>
</div>
<a class="anchor" id="a2588ff893f2e181b3d2112e4847fd780"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setThumbHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the thumb that is displayed when the mouse is on top of the slider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover thumb texture</td></tr>
  </table>
  </dd>
</dl>
<p>The hover texture is ignored if no normal texture was set. Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="af89ee601abb386983300ad3979171a6a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setThumbTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the thumb that is displayed when the mouse is not on top of the slider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new thumb texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the track image are set, then the track and thumb color property will be ignored. Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a510a52aee32827f3a38a24a5d1b61099"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setTrackColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the track. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New track color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both the normal and hover state.</p>
<p>Note that this color is ignored when a track and thumb image have been set.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1SliderRenderer.html#ac95cbeb47a60b8f128bb7dcbc0c42622" title="Changes the color of the track in the normal state (mouse not on slider). ">setTrackColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1SliderRenderer.html#ad0186e1c24b83cba61f8c8ff06bf4e9e" title="Changes the color of the track in hover state (mouse on slider). ">setTrackColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ad0186e1c24b83cba61f8c8ff06bf4e9e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setTrackColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the track in hover state (mouse on slider). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New track color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a track and thumb image have been set. </p>

</div>
</div>
<a class="anchor" id="ac95cbeb47a60b8f128bb7dcbc0c42622"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setTrackColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the track in the normal state (mouse not on slider). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New track color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when a track and thumb image have been set. </p>

</div>
</div>
<a class="anchor" id="ad37640e8e723917d09b01f4a989de9c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setTrackHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the track that is displayed when the mouse is on top of the slider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover track texture</td></tr>
  </table>
  </dd>
</dl>
<p>The hover texture is ignored if no normal texture was set. Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="a3a9dfb270d4eab95ca8f8b588bd67c3f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SliderRenderer::setTrackTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image of the track that is displayed when the mouse is not on top of the slider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new track texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the thumb image are set, then the track and thumb color property will be ignored. Pass an empty string to unset the image. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="Slider_8hpp_source.html">Slider.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
